//
// This file is part of the GNU ARM Eclipse distribution.
// Copyright (c) 2014 Liviu Ionescu.
//

#include <stdbool.h>
#include <stdio.h>
#include <stdlib.h>

#include "stack.h"
#include "queue.h"
#include "kernel.h"
#include "board.h"
#include "driver.h"

// Sample pragmas to cope with warnings. Please note the related line at
// the end of this function, used to pop the compiler diagnostics status.
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wunused-parameter"
#pragma GCC diagnostic ignored "-Wmissing-declarations"
#pragma GCC diagnostic ignored "-Wreturn-type"

int main(int argc, char* argv[])
{
	drv_open(&uart_1);
	while(1) {
		drv_write(&uart_1, "test\r\n", 6);
		sleep_ms(1000);
	}

	return 0;
}

#pragma GCC diagnostic pop
